Subject: Re: gdb trouble
From: "David A. Cobb" <[email-masked]>
To: Peter Buckley <[email-masked]>, Keith Seitz <[email-masked]>, Cygwin Library General Discussion <[email-masked]>
Date: Tue, 20 Nov 2001 11:36:20 -0500

Peter Buckley wrote:

> I presuppose that it doesn't understand /cygdrive and mount points, so 
> it doesn't compute /usr/bin to mean c:\cygwin\bin.

Now I'm totally confused [i.e. more than usually so].
Why does the APPLICATION need to be "Cygwin aware?"  If it references 
"/usr/bin" the equation to "C:\cygwin\bin" or whatever is entirely 
behind the curtains, nicht war?

Please, Corinna, clarify what gdb is "missing."

> 
> Wild guess-
> Peter
> 
> Keith Seitz wrote:
> 
>> On Tue, 20 Nov 2001, Corinna Vinschen wrote:
>>
>>
>>> The gdb GUI is not Cygwin path aware, unfortunately.  Try the
>>> same w/o GUI by starting `gdb -nw'
>>>
>>
>> In what way is it not "path aware"?
>>
>> Keith
>>
>>
>>
>> -- 
>> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
>> Bug reporting:         http://cygwin.com/bugs.html
>> Documentation:         http://cygwin.com/docs.html
>> FAQ:                   http://cygwin.com/faq/
>>
>>
> 
> 

-- 
David A. Cobb, Software Engineer, Public Access Advocate, All around 
nice guy.
New PGP key 09/13/2001:
:<http://pgpkeys.mit.edu:11371/pks/lookup?op=get&search=superbiskit&\
fingerprint=on>
:<http://wwwkeys.pgp.net:11371/pks/lookup?op=get&search=superbiskit&\
fingerprint=on>
Fingerprint=0x{E7C6_4EE2_6B75_5BA3_C52E__77FA_63C3_9366_DCFB_229B}
"By God's Grace I am a Christian man, by my actions a great sinner."
--The Way of a Pilgrim, R. M. French [tr.]
Potentially Viral Software is any software for which you are not allowed
to examine the source.  Do not buy or use Potentially Viral Software!

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/